# $Id: kde-i18n.spec,v 1.39 2006/04/09 20:12:40 rexdieter Exp $

%{!?locale:%define locale mk }
%{!?language:%define language Macedonian }

Name: 	 kde-i18n-%{language}
Summary: %{language}(%{locale}) language support for KDE
Group:	 User Interface/Desktops
Epoch:	 1
Version: 3.5.6
Release: 0.1%{?kde}

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kde-i18n/kde-i18n-%{locale}-%{version}.tar.bz2
Source1: locale.map
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Provides:  kde-i18n-%{locale} = %{epoch}:%{version}-%{release}

# Speed build options 
%define debug_package   %{nil}
%define __spec_install_post  %{nil} 
AutoReq: no 

BuildRequires: kdelibs-devel 
BuildRequires: findutils
BuildRequires: gettext
# readlink
BuildRequires: coreutils

Requires: kdelibs >= 6:%{version}
Requires: kde-filesystem

%global html_dir %(kde-config --expandvars --install html)

%description
%language(%{locale}) language support for KDE


%prep
%if "%{?is_release}" != "0"
%setup -q -n kde-i18n-%{locale}-%{version}%{?beta} 
%else
%setup -q -n kde-i18n-%{locale}
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure 
#./configure --prefix="$(kde-config --prefix)"

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT 

# HTML (1.1) 
if [ -d $RPM_BUILD_ROOT%{html_dir} ]; then
for lang_dir in $RPM_BUILD_ROOT%{html_dir}/*; do
  if [ -d $lang_dir ]; then
    pushd $lang_dir >& /dev/null
    # For backward compatibility -- Rex
    [ ! -d common ] && ln -s docs/common common; echo "WARNING: <lang>/common missing, creating compat symlink manually"
    ## NEW: automated abs symlink -> rel symlink conversion -- Rex
    ROOT=$(echo $(pwd) | sed -e "s|$RPM_BUILD_ROOT||")
    LINKS=$(find . -type l )
    for LINK in $LINKS ; do
    DST=$(echo $LINK | sed -e "s|./||" )
    PRE=$(echo $DST | tr -c -d '/' | sed -e 's|/|../|g')
    # skip if $SRC not inside $ROOT
    test -z "$PRE" && continue
    POST=$(readlink $LINK | sed -e "s|$ROOT||" )
    # skip if not abs symlink
    test -z "$(echo $POST | grep '^/')" && continue
    SRC=$(echo $PRE$POST | sed -e 's|//|/|g')
    rm -f $DST && ln -s $SRC $DST
    done
    popd >& /dev/null
  fi
done
fi

(
## File lists
# HTML
if [ -d ${RPM_BUILD_ROOT}%{html_dir} ]; then
# remove zero-length files
find ${RPM_BUILD_ROOT}%{html_dir} -size 0 | xargs rm -f
for lang_dir in ${RPM_BUILD_ROOT}%{html_dir}/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
#   echo "${lang}.lang"
    echo "%lang($lang) %{html_dir}/$lang/*" >> $lang.lang
#   echo "%{html_dir}/$lang/" >> $lang.lang
  fi
done
fi
# locale's
for locale_lang in $RPM_BUILD_ROOT%{_datadir}/locale/* ; do
   lang=$(basename $locale_lang)
## once filesystem-i18n (bug #196669) is fixed, change back to not owning parent dir:
## ah heck, let kde-filesystem do it.
   echo "%lang($lang) %{_datadir}/locale/$lang/*" >> $lang.lang
done
# easy extras
for extra in kanagram/data khangman/data klatin/data/vocabs klettres ktuberling/sounds kturtle/examples ; do
  for lang1 in $RPM_BUILD_ROOT%{_datadir}/apps/$extra/* ; do
    if [ -d "$lang1" ]; then
      lang=$(basename $lang1)
      echo "%lang($lang) %{_datadir}/apps/$extra/${lang}/" >> ${lang}.lang
    fi
 done
done
for extra in khangman ; do
  for lang1 in $RPM_BUILD_ROOT%{_datadir}/apps/$extra/*.txt ; do
    if [ -f "$lang1" ]; then 
      lang=$(basename $lang1 .txt)
      echo "%lang($lang) %{_datadir}/apps/$extra/${lang}.*" >> ${lang}.lang
    fi
 done
done
# harder extras
for extra in katepart/syntax kturtle/data ; do
  for lang1 in $RPM_BUILD_ROOT%{_datadir}/apps/$extra/*.xml ; do
    if [ -f "$lang1" ]; then
      lang=$(basename $lang1 .xml | cut -d. -f2)
      echo "%lang($lang) %{_datadir}/apps/$extra/*.${lang}.*" >> ${lang}.lang
    fi
  done
done
# Wierd ones
[ -f 'sr.lang' ]    && cat 'sr.lang'    >> 'sr@Latn.lang'
[ -f 'de_DE.lang' ] && cat 'de_DE.lang' >> 'de.lang'
[ -f 'fr_FR.lang' ] && cat 'fr_FR.lang' >> 'fr.lang'
) ||:


%files -f %{locale}.lang
%defattr(-,root,root,-)


# The paranoid/safer thing would be to rename the dir here, and then delete
# it later in %%post -- Rex
%pre
if [ -d %{html_dir}/%{locale}/common -a ! -L %{html_dir}/%{locale}/common ]; then
  rm -rf %{html_dir}/%{locale}/common
fi


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Oct 11 2006 Rex Dieter 1:3.5.5-0.2
- let kde-filesystem own %{_datadir}/locale/* dirs
- Requires: kdelibs kde-filesystem

* Tue Oct 03 2006 Rex Dieter 1:3.5.5-0.1
- 3.5.5

* Mon Aug 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1:3.5.4-1.1
- own %{_datadir}/locale/* dirs, at least until someone else better does,
  like filesystem-i18n (bug #196669).

* Tue Jul 25 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1:3.5.4-1.0
- kde-3.5.4

* Wed May 24 2006 Rex Dieter 1:3.5.3-1.0
- kde-3.5.3

* Fri May 05 2006 Rex Dieter 1:3.5.2-3.0
- patch to move <locale>/docs/common to docs/common (kde bug #126311) 
- maintain common symlink (->docs/common) for backward compatibility 
- drop Requires: kdelibs

* Thu Apr 27 2006 Rex Dieter 1:3.5.2-1.3
- fix awol/moved <locale>/common dir (kde bug #126311)

* Wed Apr 26 2006 Rex Dieter 1:3.5.2-1.2
- fix anomalies (upgrades mostly)

* Wed Mar 29 2006 Rex Dieter 1:3.5.2-1.1
- fix %%pre

* Mon Mar 20 2006 Rex Dieter 1:3.5.2-1.0
- kde-3.5.2

* Sat Jan 21 2006 Rex Dieter 1:3.5.1-1.0
- kde-3.5.1

* Mon Nov 21 2005 Rex Dieter 1:3.5.0-1.0
- kde-3.5.0

* Sat Nov 12 2005 Rex Dieter 1:3.5.0-0.1.rc1.kde
- kde-3.5.0-rc1

* Thu Oct 06 2005 Rex Dieter 1:3.4.3-1.0.kde
- kde-3.4.3

* Wed Aug 10 2005 Rex Dieter 1:3.4.2-1.1.kde
- %%pre workaround for buggy redhat kde-i18n rpms. 

* Thu Jul 21 2005 Rex Dieter 1:3.4.2-1.0.kde
- 3.4.2

* Sat May 28 2005 Rex Dieter 1:3.4.1-1.0.kde
- 3.4.1

* Fri Mar 05 2005 Rex Dieter 1:3.4.0-1.0.kde
- 3.4.0(final)

* Tue Feb 15 2005 Rex Dieter 1:3.3.92-0.0.kde
- 3.3.92

* Mon Nov 29 2004 Rex Dieter <rexdieter[AT]users.sf.net> 1:3.3.2-1.0.kde
- 3.3.2

* Tue Oct 05 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.0-0.0.kde
- 3.3.1

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 1:3.3.0-1.0.kde
- 3.3.0

* Tue Jun 27 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.3-1.1.kde
- (re)add kdevelop locale stuff.

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.3-1.0.kde
- 3.2.3

* Tue Apr 27 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.2-0.1.kde
- (try to) fix upgrade conflicts
- new Release naming scheme

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.2-0.fdr.0
- 3.2.2

* Thu Mar 04 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.1-0.fdr.1
- respin

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.1-0.fdr.0
- 3.2.1
- adjust for officially included ja,lt

* Sat Feb 07 2004 Rex Dieter <rexdieter at sf.net> 1:3.2.0-0.fdr.0
- 3.2.0

* Mon Dec 22 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.5-0.fdr.0
- 3.1.5

* Tue Oct 21 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.4-0.fdr.1
- fix unowned dirs

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.4-0.fdr.0
- 3.1.4

* Thu Aug 07 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.3-0.fdr.1
- remove rhversion from Release tag.
- remove use of my_ver macro

* Tue Jul 11 2003 Rex Dieter <rexdieter at sf.net> 1:3.1.3-0.fdr.0
- 3.1.3 

* Fri Jun 21 2003 Bob Tanner <tanner@real-time.com> 3.1.2-0.fdr.1
- changed BuildRequires to autoconf > 2.53 (removed >=)

* Fri Jun 06 2003 Rex Dieter <rexdieter at sf.net> 3.1.2-0.fdr.0
- 3.1.2
- Add Obsoletes: %%name-Vietnam due to subpkg rename -Vietnam ->
  Vietnamese

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- use 3.1.1's version of is(Icelandic).
- 3.1.1 release

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-2.0
- use epochs in Obsoletes/Provides/Requires.
- include *all* languages this time.  (-:
- kde-redhat versioning.

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 1:3.1-2
- fix conflict with kdevelop

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 1:3.1-1
- 3.1 release
- fix #81724

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 1:3.1-0.7
- rc7

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.0.4-0.73.1
- 3.0.4

* Mon Sep 30 2002 Than Ngo <than@redhat.com> 3.0.3-0.7.2
- 3.0.3

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-2
- get rid of zero-length files

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 06 2002 Than Ngo <than@redhat.com> 3.0.1-1
- 3.0.1
- fixed rmplint errors #65989

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Apr 12 2002 Tim Powers <timp@redhat.com>3.0.0-5
- remove the following kde-i18n packages: Azerbaijani, Maltese,
  Esperanto, Tamil, Latvian, Xhosa, Lithuanian, Thai, and Bulgarian

* Tue Apr  9 2002 Than Ngo <than@redhat.com> 3.0.0-4
- fixed wrong tag 'nb' (bug #62890)

* Tue Apr  2 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fixed Dangling Symlinks (#62559)

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.0.0-2
- fix bug #61930
- add missing koffice-i18n

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- update kde 3.0 final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update
- fix bug #61513

* Thu Mar 14 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020314.1
- update

* Mon Mar 10 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020310.1
- update
- enable i18n for koffice

* Tue Mar  6 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020306.1
- update
- enable Catalan i18n
- use zh_TW and zh_CN instead zh_TW.Big5 and zh_CN.GB2312 (bug #60759)
- get rid of Buildrequires arts-devel

* Tue Jan  8 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020108.1
- update to CVS
- fix some broken po files
- fixed specfile

* Tue Nov 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-2
- Build all languages
- Add missing files

* Sun Nov 18 2001 Than Ngo <than@redhat.com> 2.2.2-1
- update to 2.2.2

* Tue Oct 09 2001 Than Ngo <than@redhat.com> 2.2-10
- fix rebuild problem against kdelibs-2.2-11 (bug #54476)

* Fri Sep 14 2001 Than Ngo <than@redhat.com> 2.2-9
- remove some broken stuff for building on s390

* Wed Aug 29 2001 Than Ngo <than@redhat.com> 2.2-8
- add some po files from Trond (Bug #35923, #35863)

* Thu Aug 23 2001 Than Ngo <than@redhat.com> 2.2-6
- add missing zh_TW.Big5
- fix file conflicts with koffice-i18n

* Tue Aug 14 2001 Tim Powers <timp@redhat.com>
- exclude Esperanto, Greek, Azerbaijani, Latvian, Maltese, Tamil,
  Serbian packages

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.2-5
- add missing kde-i18n for Norway

* Mon Aug 13 2001 Than Ngo <than@redhat.com> 2.2-4
- fix dangling symlinks (bug #51647)

* Sun Aug 12 2001 Than Ngo <than@redhat.com> 2.2-3
- add korean i18n

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 2.2-2
- many bug fixes

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- fix build dependency (bug #50463)
- fix some broken docbook

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- update
- make symlinks relative

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 19 2000 Than Ngo <than@redhat.com>
- put i18n stuff for KDE2 under /usr/lib/kde2,
  fix dependency problem

* Mon Jul 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add default owner

* Sat Apr 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial RPM
